Page MenuHomeFreeBSD

Update audio/baresip, audio/rem, audio/re
ClosedPublic

Authored by woodsb02 on Jun 11 2016, 10:26 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jul 14, 1:32 PM
Unknown Object (File)
Fri, Jul 12, 5:56 AM
Unknown Object (File)
Tue, Jul 9, 10:09 PM
Unknown Object (File)
Mon, Jul 8, 2:56 PM
Unknown Object (File)
Wed, Jun 26, 5:13 AM
Unknown Object (File)
May 8 2024, 8:46 AM
Unknown Object (File)
May 8 2024, 8:45 AM
Unknown Object (File)
May 8 2024, 5:47 AM
Subscribers
None

Details

Summary

audio/re:

  • Update to 0.4.16
  • Organise pkg-plist alphabetically

audio/rem:

  • Update to 0.4.7
  • Organise pkg-plist alphabetically

audio/baresip:

  • Update to 0.4.19
  • Remove CELT option (no longer supported - replaced by OPUS)
  • Limit PORTDOCS to only the files within ${WRKSRC}/docs

Changes this release:

https://github.com/alfredh/baresip/blob/v0.4.19/docs/ChangeLog

This upate also allows baresip to build successfully once
multimedia/ffmpeg is updated to 3.0.x.
Note that multimedia/ffmpeg is currently still on the 2.8.x branch,
however this patch is backwards compatible with ffmpeg 2.8.x.

Test Plan

poudriere bulk -t audio/rem audio/re audio/baresip

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

woodsb02 retitled this revision from to Update audio/baresip, audio/rem, audio/re.
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 added reviewers: adamw, mat, koobs, crees.
audio/baresip/Makefile
24 ↗(On Diff #17532)

Why? Your message shows the what, but not the why.

audio/baresip/Makefile
24 ↗(On Diff #17532)

I disagree with that change and the change line 124.

crees edited edge metadata.

Except please revert the PORTDOCS changes.

I actually was in discussion with a user about this update - have you managed to test it running?

Chris

audio/baresip/Makefile
24 ↗(On Diff #17532)

Can I disagree also? I don't think it's worth alphabetising pkg-plist either, but since it's done I won't complain about that bit.

This revision is now accepted and ready to land.Jun 12 2016, 7:54 AM
audio/baresip/Makefile
24 ↗(On Diff #17532)

Indeed, I should have specified why.

The reason why I made this change, and the change on line 124, is because the build was failing with a stage failure. Line 124 had ${INSTALL_DATA} ${WRKSRC}/docs/*, but the docs/ directory contained 4 files and a sub-directory. Believing it was the sub-directory that was causing the error, I changed the PORTDOCS setting and the INSTALL_DATA command to only install the files in the docs/ directory, and not the sub-directory.

install  -s -m 555 /wrkdirs/usr/ports/audio/baresip/work/baresip-0.4.19/baresip /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/bin
/bin/mkdir -p /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/share/baresip
install  -m 0644 /wrkdirs/usr/ports/audio/baresip/work/baresip-0.4.19/share/* /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/share/baresip
/bin/mkdir -p /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/lib/baresip/modules
for m in $(/usr/bin/env OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/audio/baresip/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/baresip/work  HOME=/wrkdirs/usr/ports/audio/baresip/work TMPDIR="/tmp" NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -I/usr/local/include -I/usr/local/include/ilbc -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="  -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -I/usr/local/include -I/usr/local/include/ilbc -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444" gmake -sC /wrkdirs/usr/ports/audio/baresip/work/baresip-0.4.19 MOD_AUTODETECT="" USE_CONS=yes USE_DOCS=yes USE_EXAMPLES=yes USE_FFMPEG=yes USE_G711=yes USE_G722=yes USE_G726=yes USE_IPV6=yes USE_L16=yes USE_NLS=yes OPENSSL_CFLAGS="-DNO_IDEA" DESTDIR=/wrkdirs/usr/ports/audio/baresip/work/stage showmodules);  do install  -s -m 444 /wrkdirs/usr/ports/audio/baresip/work/baresip-0.4.19/$m.so  /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/lib/baresip/modules;  echo lib/baresip/modules/$m.so >> /wrkdirs/usr/ports/audio/baresip/work/.PLIST.mktmp;  done
/bin/mkdir -p /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/share/doc/baresip
install  -m 0644 /wrkdirs/usr/ports/audio/baresip/work/baresip-0.4.19/docs/* /wrkdirs/usr/ports/audio/baresip/work/stage/usr/local/share/doc/baresip
install: /wrkdirs/usr/ports/audio/baresip/work/baresip-0.4.19/docs/examples: Inappropriate file type or format
*** Error code 71
audio/baresip/Makefile
24 ↗(On Diff #17532)

FYI, the ${WRKSRC}/docs/examples sub-directory is new with this update.

In D6822#143256, @crees wrote:

Except please revert the PORTDOCS changes.

I actually was in discussion with a user about this update - have you managed to test it running?

Chris

Hi Chris,
No, I have performed build testing, but do not have the knowledge of this program to do run testing. Can you please help with this?
Thanks,
Ben

${INSTALL_DATA} can't handle directories. You want ${COPYTREE_SHARE} for that.

@${MKDIR} ${STAGEDIR}${DOCSDIR}
(cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR})

If the stuff in docs/examples really is examples, then you might consider adding an EXAMPLES option and doing this:

@${MKDIR} ${STAGEDIR}${DOCSDIR}
(cd ${WRKSRC} && ${COPYTREE_SHARE} . $(STAGEDIR}${DOCSDIR})
mv ${STAGEDIR}${DOCSDIR}/examples ${STAGEDIR} ${EXAMPLESDIR}
woodsb02 edited edge metadata.
  • Revert change to PORTDOCS and fix install of docs
  • Add PORTEXAMPLES and move examples from DOCSDIR to EXAMPLESDIR
  • Update minimum required versions of audio/re and audio/rem [1]

[1] https://github.com/alfredh/baresip/blob/v0.4.19/docs/README#L324

This revision now requires review to proceed.Jun 12 2016, 3:51 PM
adamw edited edge metadata.

If Chris is good with it, then I'm good with it.

This revision is now accepted and ready to land.Jun 13 2016, 3:44 AM

Thanks Adam. Chris: can you please let me know if you are happy with these latest changes? Thanks

crees edited edge metadata.

Yes, fine by me, thanks.

Chris

This revision was automatically updated to reflect the committed changes.